关于 Could not find gradle:X.X.X

导入项目、项目换个环境(A电脑用版本工具上传代码,B电脑下载使用)运行经常遇到这样的问题:

Gradle sync failed: Could not find com.android.tools.build:gradle:3.1.3.

Searched in the following locations:

https://repo.maven.apache.org/maven2/com/android/tools/build/gradle/3.1.3/gradle-3.1.3.pom

https://repo.maven.apache.org/maven2/com/android/tools/build/gradle/3.1.3/gradle-3.1.3.jar

Required by:

project :lib_PullAndSlide

相信踩坑的同学不少,今天分享一个方法:

《关于 Could not find gradle:X.X.X》
《关于 Could not find gradle:X.X.X》

举个栗子:

首先在报错中找到这几个信息

1、在图中1位置确认找不到的gradle版本号

2、在图中2位置是系统去查找的仓库地址

3、在图中3位置是找不到gradle的module名

错误信息意思是该module下找不到指定仓库的gradle版本

那么我们要解决的问题就是让编译器能找到,这里列出两个方法:

1、改gradle版本号,这个网上方法较多,要点是修改这里,如图:

《关于 Could not find gradle:X.X.X》
《关于 Could not find gradle:X.X.X》
《关于 Could not find gradle:X.X.X》
《关于 Could not find gradle:X.X.X》

2、也可以换个仓库

还是这个例子:

《关于 Could not find gradle:X.X.X》
《关于 Could not find gradle:X.X.X》

找到module的build.gradle文件,修改这里,这里的mavenCentral()仓库对应的地址就是图1中的2位置地址,找一个能找到需要的gradle版本的仓库加上(或换)就好了,修改后:

《关于 Could not find gradle:X.X.X》
《关于 Could not find gradle:X.X.X》

    原文作者:小步快跑
    原文地址: https://zhuanlan.zhihu.com/p/39689225
    本文转自网络文章,转载此文章仅为分享知识,如有侵权,请联系博主进行删除。
点赞